/*
 * Copyright 2003 Sun Microsystems, Inc. All rights reserved.
 * Use is subject to license terms.
 */

/*
 * JDOFatalDataStoreException.java
 *
 * Created on March 8, 2000, 8:36 AM
 */

package javax.jdo;

/** This class represents data store exceptions that cannot be retried.
 *
 * @author  Craig Russell
 * @version 0.9
 */
public class JDOFatalDataStoreException extends JDOFatalException {

  /**
   * Constructs a new <code>JDOFatalDataStoreException</code> without a detail message.
   */
  public JDOFatalDataStoreException() {
  }
  

  /**
   * Constructs a new <code>JDOFatalDataStoreException</code> with the specified detail message.
   * @param msg the detail message.
   */
  public JDOFatalDataStoreException(String msg) {
    super(msg);
  }

  /** Constructs a new <code>JDOFatalDataStoreException</code> with the specified detail message
   * and failed object.
   * @param msg the detail message.
   * @param failed the failed object.
   */
  public JDOFatalDataStoreException(String msg, Object failed) {
    super(msg, failed);
  }
  
  /**
   * Constructs a new <code>JDOFatalDataStoreException</code> with the specified
   * detail message and nested <code>Throwable</code>s.
   * @param msg the detail message.
   * @param nested the nested <code>Throwable[]</code>.
   */
  public JDOFatalDataStoreException(String msg, Throwable[] nested) {
    super(msg, nested);
  }

  /**
   * Constructs a new <code>JDOFatalDataStoreException</code> with the specified
   * detail message and nested <code>Throwable</code>s.
   * @param msg the detail message.
   * @param nested the nested <code>Throwable</code>.
   */
  public JDOFatalDataStoreException(String msg, Throwable nested) {
    super(msg, nested);
  }
}

