/*
 * Copyright 2003 Sun Microsystems, Inc. All rights reserved.
 * Use is subject to license terms.
 */

/*
 * JDOObjectNotFoundException.java
 *
 * Created on April 11, 2003
 */

package javax.jdo;

/** This class represents exceptions caused by the user accessing 
 * an object that does not exist in the datastore.
 *
 * @author  Craig Russell
 * @version 1.0.1
 */
public class JDOObjectNotFoundException extends JDODataStoreException {

  /**
   * Constructs a new <code>JDOObjectNotFoundException</code> 
   * without a detail message.
   */
  public JDOObjectNotFoundException() {
  }
  

  /**
   * Constructs a new <code>JDOObjectNotFoundException</code> 
   * with the specified detail message.
   * @param msg the detail message.
   */
  public JDOObjectNotFoundException(String msg) {
    super(msg);
  }

  /** Constructs a new <code>JDOObjectNotFoundException</code> with the specified detail message
   * and failed object.
   * @param msg the detail message.
   * @param failed the failed object.
   */
  public JDOObjectNotFoundException(String msg, Object failed) {
    super(msg, failed);
  }
  
  /**
   * Constructs a new <code>JDOObjectNotFoundException</code> with the
   * specified detail message and nested <code>Throwable</code>s.
   * @param msg the detail message.
   * @param nested the nested <code>Throwable[]</code>.
   */
  public JDOObjectNotFoundException(String msg, Throwable[] nested) {
    super(msg, nested);
  }

}

